<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card">
        <div class="card-header">
          <i class="fa fa-globe"></i>{{'diagnostic.traceroute.title' | translate}}
        </div>
        <div class="card-body">
          <form [formGroup]="editForm">
            <div class="row">
              <div class="form-group col-6 row">
                <label class="col-4 col-form-label text-left"
                       for="ip_address">{{'diagnostic.ip_domain' | translate}}</label>
                <div class="col-8">
                  <input type="text" [(ngModel)]="ip_address" class="form-control" name="ip_address" id="ip_address"
                         formControlName="ip_address"
                         placeholder="google.com"/>
                  <div
                    *ngIf="editForm.get('ip_address').invalid && (editForm.get('ip_address').dirty || editForm.get('ip_address').touched)">
                      <span class="form-text text-danger"
                            *ngIf="editForm.get('ip_address').errors?.required">
                        {{'error.validate.input_required' | translate}}
                      </span>
                  </div>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="form-group col-6 row">
                <label class="col-4 col-form-label text-left"
                       for="max_ttl">{{'diagnostic.traceroute.max_ttl' | translate}}</label>
                <div class="col-8 form-group">
                  <input type="number" [(ngModel)]="max_ttl" style="width: 50%" class="form-control" name="max_ttl"
                         id="max_ttl"
                         formControlName="max_ttl"
                         placeholder="20" pattern="^$|^([0-9]|[1-2][0-9]|[3][0])?" max="30"/>
                  <div
                    *ngIf="editForm.get('max_ttl').invalid && (editForm.get('max_ttl').dirty || editForm.get('max_ttl').touched)">
                      <span class="form-text text-danger"
                            *ngIf="editForm.get('max_ttl').errors?.required">
                        {{'error.validate.input_required' | translate}}
                      </span>
                    <span class="form-text text-danger"
                          *ngIf="editForm.get('max_ttl').errors?.pattern ">
                        {{'traceroute.pattern' | translate}}
                      </span>
                  </div>
                </div>
              </div>
            </div>
            <div class="form-group text-left">
              <button type="submit" class="btn btn-primary" id="save-entity" (click)="save()"
                      [disabled]="editForm.invalid">
                <span class="d-none d-md-inline">{{'common.start' | translate}}</span>
              </button>
            </div>
          </form>
          <br/>
          <p>{{'diagnostic.traceroute.result' | translate}}</p>
          <div class="scoll">
            <div style="margin-left: 5px">
              <div *ngIf="traceroute">
                <form [formGroup]="tracerouteForm">
                  <ng-container formGroupName="traceroute_packet">
                    <h6>Tracing route to {{ip_address}} over a maximum of {{max_ttl}} </h6>
                    <br/>
                    <tbody *ngFor="let traceroute of traceroute.traceroute_packet;">
                    <tr>
                      <td>
                        <span style="padding-right: 15px">{{traceroute.reply_from}}</span>
                      </td>
                      <td>
                        <span style="padding-right: 15px">{{traceroute.time}} </span>
                      </td>
                      <td>
                        <span>{{traceroute.seq}} </span>
                      </td>
                    </tr>
                    </tbody>
                    <br/>
                    <span>Trace complete</span>
                  </ng-container>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
